Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990615 - Monitor command acl_add can't insert before last list element
Summary: Monitor command acl_add can't insert before last list element
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 970516
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-31 14:42 UTC by Markus Armbruster
Modified: 2014-06-18 03:33 UTC (History)
13 users (show)

Fixed In Version: qemu-kvm-1.5.3-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 970516
Environment:
Last Closed: 2014-06-13 10:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Markus Armbruster 2013-07-31 14:46:05 UTC
I'm trying to get the upstream fix commit 4999f3a into 1.5.3.

Comment 3 Michal Novotny 2013-09-12 16:13:40 UTC
This is has been fixed in upstream qemu 1.5.3 and RHEL-7 version is already rebased to this version. Changing status to CLOSED -> UPSTREAM.

Michal

Comment 4 Michal Novotny 2013-09-12 16:14:00 UTC
This has been fixed in upstream qemu 1.5.3 and RHEL-7 version is already rebased to this version. Changing status to CLOSED -> UPSTREAM.

Michal

Comment 5 Michal Novotny 2013-09-12 16:14:15 UTC
This has been fixed in upstream qemu 1.5.3 and RHEL-7 version is already rebased to this version. Changing status to CLOSED -> UPSTREAM.

Michal

Comment 6 Michal Novotny 2013-09-12 16:15:15 UTC
(In reply to Michal Novotny from comment #5)
> This has been fixed in upstream qemu 1.5.3 and RHEL-7 version is already
> rebased to this version. Changing status to CLOSED -> UPSTREAM.
> 
> Michal

Sorry for the noise. Bugzilla was pretty slow that is died and reload did add additional comments by mistake.

Michal

Comment 7 Michal Novotny 2013-09-12 16:23:42 UTC
After discussion with Markus on IRC we've decided to move to MODIFIED.

Michal

Comment 10 FuXiangChun 2013-11-21 05:52:55 UTC
verify this issue with qemu-kvm-1.5.3-19.el7.x86_64.

steps:
# /usr/libexec/qemu-kvm -nodefaults -S -vnc :0,acl,sasl -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) acl_show vnc.username
policy: deny
(qemu) acl_add vnc.username drei allow
acl: added rule at position 1
(qemu) acl_add vnc.username zwei allow 1
acl: added rule at position 1
(qemu) acl_add vnc.username eins allow 1
acl: added rule at position 1

result:
(qemu) acl_show vnc.username
policy: deny
1: allow eins
2: allow zwei
3: allow drei

According to comment0's expected results. This bug is fixed.

Comment 12 Ludek Smid 2014-06-13 10:26:03 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.